Bug 134572 - gweather crashes when opening prefs
gweather crashes when opening prefs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
:
Depends On:
Blocks: 131589
  Show dependency treegraph
 
Reported: 2004-10-04 14:00 EDT by Bill Nottingham
Modified: 2014-03-16 22:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.8.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 13:43:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2004-10-04 14:00:41 EDT
Description of problem:

SSIA.

Version-Release number of selected component (if applicable):

gnome-applets-2.8.0-3

How reproducible:

Every time

Steps to Reproduce:
1. Right-click -> preferences
2. *boom*

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -151123744 (LWP 19883)]
0x00383b4a in strcmp () from /lib/tls/libc.so.6
(gdb) bt
#0  0x00383b4a in strcmp () from /lib/tls/libc.so.6
#1  0x08054181 in weather_location_equal (location1=0x963e0d0,
    location2=0x9780c68) at weather.c:217
#2  0x08059b1e in gweather_xml_parse_location (locale=0x97dc178,
tree=0x97dad98,
    loc=0x9780c68, reader=0x97e47b8, iter=0xfef574b0, r_iter=0x963e34b,
    c_iter=0x963e34b) at gweather-xml.c:287
#3  0x08059ef5 in gweather_xml_parse_node (locale=0x97dc178,
tree=0x97dad98,
    loc=0x9780c68, reader=0x97e47b8, iter=0xfef57520, p_iter=0x963e34b,
    s_iter=0x963e34b) at gweather-xml.c:360
#4  0x08059e76 in gweather_xml_parse_node (locale=0x97dc178,
tree=0x97dad98,
    loc=0x9780c68, reader=0x97e47b8, iter=0xfef57590, p_iter=0x963e34b,
    s_iter=0x963e34b) at gweather-xml.c:352
#5  0x08059e76 in gweather_xml_parse_node (locale=0x97dc178,
tree=0x97dad98,
    loc=0x9780c68, reader=0x97e47b8, iter=0xfef57600, p_iter=0x963e34b,
    s_iter=0x963e34b) at gweather-xml.c:352
#6  0x0805a19b in gweather_xml_load_locations (tree=0x97dad98,
loc=0x9780c68)
    at gweather-xml.c:401
#7  0x080505bf in gweather_pref_run (gw_applet=0x9647448) at
gweather-pref.c:356
#8  0x0712a619 in bonobo_socket_add_id () from /usr/lib/libbonoboui-2.so.0
#9  0x00618347 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#10 0x06dc2518 in bonobo_closure_invoke_va_list () from
/usr/lib/libbonobo-2.so.0
#11 0x06dc2785 in bonobo_closure_invoke () from /usr/lib/libbonobo-2.so.0
#12 0xfef57890 in ?? ()
#13 0xfef578ec in ?? ()
#14 0x007d91b7 in gdk_window_invalidate_region ()
   from /usr/lib/libgdk-x11-2.0.so.0
Previous frame inner to this frame (corrupt stack?)
Comment 1 Mark McLoughlin 2004-10-07 13:43:39 EDT
Fixed in rawhide:

* Thu Oct  7 2004 Mark McLoughlin <markmc@redhat.com> - 2.8.0-5
- Add patch to fix crash with gweather preferences (#134572)
Comment 2 Mark McLoughlin 2004-10-07 13:50:34 EDT
Patch sent upstream:

  http://bugzilla.gnome.org/show_bug.cgi?id=153331

Note You need to log in before you can comment on or make changes to this bug.